﻿
.. index::
   pair: Python; PowerShell


.. _pythons_guide_to_powershell:

========================================
A Python Developer's Guide to PowerShell
========================================


.. seealso::

   - http://mohd-akram.github.io/2013/05/16/a-python-developers-guide-to-powershell


.. contents::
   :depth: 3

Introduction
=============

Introduction

Python is a great scripting language - it's available by default on Linux
and Mac and so it's easy to quickly write a short script that runs on
many systems.

However, this isn't the case on Windows. You need to install Python or
wrap your application to distribute it on Windows, so we need an alternative.

Sometimes this is inconvenient, especially if you want to do something
simple or deal directly with Windows. This is where PowerShell comes.
